Jiniu AIJiniu AI
文档
视频(Videos)原厂火山格式素材库素材

列出素材

由网关本地归属索引提供,按当前用户隔离,不转发上游。只能看到通过本网关创建的素材。

POST
/api/material

Authorization

bearerAuth

AuthorizationBearer <token>

Authorization: Bearer

In: header

Query Parameters

Action*string

固定为 ListAssets

Value in"ListAssets"

Request Body

application/json

GroupId?string

按所属素材组过滤

Name?string

按名称过滤

AssetType?string

按类型过滤

Value in"Image" | "Video" | "Audio"
Status?string

按状态过滤

Value in"Processing" | "Active" | "Failed"
PageNumber?integer

页码,从 1 开始,缺省 1

PageSize?integer

页大小,缺省 20,上限 100(超出按 100 处理)

Response Body

application/json

curl -X POST "https://jiniu.ai/api/material?Action=ListAssets" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ResponseMetadata": {
    "RequestId": "…",
    "Action": "ListAssets"
  },
  "Result": {
    "Items": [
      {
        "Id": "asset-xxxx",
        "GroupId": "group-xxxx",
        "Name": "主图",
        "URL": "https://example.com/a.png",
        "AssetType": "Image",
        "Status": "Active",
        "CreateTime": "2026-08-25 10:00:00",
        "UpdateTime": "2026-08-25 10:05:00"
      }
    ],
    "Total": 1,
    "PageNumber": 1,
    "PageSize": 20
  }
}